aboutsummaryrefslogtreecommitdiff
path: root/audio
diff options
context:
space:
mode:
authorGrigorios Bouzakis <grbzks@gmail.com>2010-05-13 00:22:12 +0200
committerMichiel van Wessem <michiel@slackbuilds.org>2010-05-13 00:22:12 +0200
commit79992cd5971aa3013e83eedf5c835aa56d98f744 (patch)
treebe953924abd7300a292f559389ed60feb81acfb7 /audio
parent9e022fdeb1bc60d32e36dc93e9d297562788fd6e (diff)
audio/tagtool: Updated for version 0.12.3
Diffstat (limited to 'audio')
-rw-r--r--audio/tagtool/README2
-rw-r--r--audio/tagtool/doinst.sh4
-rw-r--r--audio/tagtool/slack-desc2
-rw-r--r--audio/tagtool/tagtool.SlackBuild24
-rw-r--r--audio/tagtool/tagtool.info4
5 files changed, 25 insertions, 11 deletions
diff --git a/audio/tagtool/README b/audio/tagtool/README
index 1e38a803d369d..bb7d99a70345a 100644
--- a/audio/tagtool/README
+++ b/audio/tagtool/README
@@ -5,4 +5,4 @@ Tag Tool can be used to edit tags one by one, but the most useful features
are the ability to easily tag or rename hundreds of files at once, in any
desired format.
-NOTE: tagtool requires id3lib which is available on SlackBuilds.org.
+Requires: id3lib available on SlackBuilds.org.
diff --git a/audio/tagtool/doinst.sh b/audio/tagtool/doinst.sh
index 9ad0b734e04a4..65fd352418759 100644
--- a/audio/tagtool/doinst.sh
+++ b/audio/tagtool/doinst.sh
@@ -1,4 +1,4 @@
-if [ -x usr/bin/update-desktop-database ]; then
- ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
fi
diff --git a/audio/tagtool/slack-desc b/audio/tagtool/slack-desc
index a74a0818b34f8..847d96880d918 100644
--- a/audio/tagtool/slack-desc
+++ b/audio/tagtool/slack-desc
@@ -12,7 +12,7 @@ tagtool: Audio Tag Tool is a program to manage the information fields in MP3
tagtool: and Ogg Vorbis files, commonly called tags. It is available under
tagtool: the GNU General Public Licence (GPL).
tagtool:
-tagtool: http://pwp.netcabo.pt/paol/tagtool/
+tagtool: Homepage: http://pwp.netcabo.pt/paol/tagtool/
tagtool:
tagtool:
tagtool:
diff --git a/audio/tagtool/tagtool.SlackBuild b/audio/tagtool/tagtool.SlackBuild
index 169f15bbdefbc..a97867f8eb251 100644
--- a/audio/tagtool/tagtool.SlackBuild
+++ b/audio/tagtool/tagtool.SlackBuild
@@ -2,13 +2,13 @@
# Slackware build script for tagtool
# Written by scion (grbzks@gmail.com)
-set -e
PRGNAM=tagtool
VERSION=0.12.3
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -16,10 +16,17 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -32,18 +39,23 @@ chmod -R u+w,go+r-w,a-s .
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/usr
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a ABOUT-NLS AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README THANKS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -51,4 +63,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/tagtool/tagtool.info b/audio/tagtool/tagtool.info
index 79b03087f5551..ea413ef72b4ae 100644
--- a/audio/tagtool/tagtool.info
+++ b/audio/tagtool/tagtool.info
@@ -1,8 +1,10 @@
PRGNAM="tagtool"
VERSION="0.12.3"
-HOMEPAGE="http://pwp.netcabo.pt/paol/tagtool/"
+HOMEPAGE="http://sourceforge.net/projects/tagtool/"
DOWNLOAD="http://downloads.sourceforge.net/tagtool/tagtool-0.12.3.tar.bz2"
+DOWNLOAD_x86_64=""
MD5SUM="447b3a505fee68a82f25dcda9377b676"
+MD5SUM_x86_64=""
MAINTAINER="Grigorios Bouzakis"
EMAIL="grbzks@gmail.com"
APPROVED="BP{k}"